#
#       University of Kansas DosLynx configuration file.
#       Last changed 08-11-94, Garrett Arch Blythe
#       Mail doslynx@falcon.cc.ukans.edu for any questions.
#
#       This file is used by DosLynx version 0.8 alpha release to allow for
#       user configuration of their network settings and miscellaneous
#       DosLynx settings.
#
#############################################################################
#
#       This is a free form configuration file.
#       Options do not need to be in any specific order.
#
#       Comments can start at the following characters and end at the end of
#       the line containing them:  # and ;
#
#       Option form is keyword=value for each parameter.
#       The keyword=value should all be on one line, at the start of a line.
#       Possible values are listed above by each keyword.
#




#
#       The following are options specific to Waterloo TCP for network
#               configuration.
#       DO NOT USE THE DEFAULT VALUES OF THESE OPTIONS.
#       Never guess IP numbers.  If you are unsure, contact you local network
#               administrator.
#




#       my_ip           mandatory option
#
#       my_ip specifies a computer's IP address.
#       The value may be BOOTP instead of an IP address in the case that
#               Waterloo TCP can configure itself through your available
#               BOOTP server.  If you are unsure if you have BOOTP capability
#               ask your local network administrator or use your IP number
#               if you know it.
#       This value must be unique.  If you accidentally share an IP number
#               with another computer, chances are neither machine will work.
#my_ip=BOOTP
my_ip=0.0.0.0




#       netmask         mandatory option, unless BOOTP
#
#       netmask is simply your [sub]network mask.  This value should never
#               be 255.255.255.255
#       Ask your local network administrator for the correct network mask if
#               you do not know.
#       If you use BOOTP as my_ip, you will not have to use netmask.  Comment
#               out the following line if you desire; if you do not comment
#               the line out, use the correct netmask!
netmask=0.0.0.0




#       gateway         mandatory option, unless BOOTP
#
#       gateway is your local gateway.  This value should be a valid IP number
#               of another networked computer that your local network
#               administrator calls your gateway.
#       Ask your local network administrator for the correct gateway IP if
#               you do not know.
#       If you use BOOTP as my_ip, you will not have to use gateway.  Comment
#               out the following line if you desire; if you do not comment
#               the line out, use the correct gateway IP!
#       The esoteric use of gateway allows you to configure a routing table
#               with up to 12 separate entries.  Each entry must specify a
#               gateway, an optional destination subnet, and then an optional
#               subnet mask:
#                       gateway=0.0.0.0[, 0.0.0.0[, 0.0.0.0]]
#               You may use the same gateway IP in each entry if need be.
gateway=0.0.0.0




#       nameserver      mandatory option, unless BOOTP
#
#       nameserver is a networked computer that can tell your computer an IP
#               number of yet another networked computer.  You can have up to
#               9 different nameserver entries, each assigned a different IP
#               number.  Waterloo TCP will go through the list of provided
#               nameservers in order of appearance until a valid IP number
#               is determined.
#       Ask your local network administrator for the correct nameserver IPs if
#               you do not know.
#       If you use BOOTP as my_ip, you will not have to use nameserver.
#               Comment out the following lines if you desire; if you do not
#               comment the lines out, use correct nameserver IPs!
#nameserver=0.0.0.0
#nameserver=0.0.0.0
nameserver=0.0.0.0




#       domainslist     mandatory option
#
#       domainslist tells Waterloo TCP your domain.  Afterwards, any computers
#               specified without a full domain name will have the domainslist
#               value appended to them.
#       For best results, enclose the value of the domainslist entry within
#               double quotes.
#       Ask your local network administrator for the correct domain if you do
#               not know.
domainslist="cc.ukans.edu"




#       include         optional
#
#       include will simply insert another file's contents as if it were
#               inside this configuration file at the line which the include
#               directive resides.
#       Only Waterloo TCP keywords will be recognized in the included file.
#include=c:\your_own.cfg




#       bootp           optional, esoteric
#
#       bootp will use a specific bootp server by specifying the server's IP.
#       If you are not using bootp or have no need to specify the exact bootp
#               server then there will be no need to use to bootp keyword.
#       Ask your local network administrator for the correct bootp server IP
#               if you do not know.
#bootp=0.0.0.0




#       bootpto         optional
#
#       bootpto specifies the amount of time that Waterloo TCP will wait for
#               your bootp server to respond with your network information.
#       The default timeout value is 30 seconds.
#bootpto=30




#       ethip           optional, esoteric
#
#       ethip is used to allow use of multiple IP numbers within the same
#               configuration file with each one being tied to a particular
#               ethernet address.
#       This is mainly for use of one big configuration file residing on a
#               network that every user can use.
#ethip=00:00:00:00:00:00, 0.0.0.0




#       hostname        optional, unless BOOTP
#
#       hostname allows you to give your computer a name while Waterloo TCP is
#               active.  Remote computers will recognize you by the hostname.
#       Do not use another computer's name as your hostname.
#       Do not append the domain to the hostname, it will be done for you
#               by appending the entry in domainslist.
#       BOOTP will provide a host name for you if used.
hostname=doslynx




#       sockdelay       optional
#
#       sockdelay allows you to specify a specific amount of seconds that
#               Waterloo TCP will attempt to connect to a remote computer,
#               wait for data from a remote computer, and wait to accomplish
#               other miscellaneous networking tasks.
#       The default is 30 seconds, but may be set longer if you have an
#               especially slow connection.
sockdelay=30




#       mss             optional
#
#       mss is the maximum segment size that Waterloo TCP can receive.
#       The default value is believed to be at 1024.
#       The maximum value should not exceed 4096.
mss=1024




#
#       The following are options specific to DosLynx v0.71 alpha release.
#       You may use the default values if you desire though you should look
#               at them to realize what options are currently available and
#               if they are fitting to you.
#       All command line arguments will overide the following configuration
#               file settings.
#




#       tempdir         optional, but suggested
#
#       tempdir specifies the path to a directory in which all temporary files
#               DosLynx will create will be written.
#       If you do not specify a tempdir, the current working directory will be
#               used.
#       It is a good idea not to specify a network drive, as it will cause
#               a drastic performance decrease.
#       Be sure to append a backslash after the path!
tempdir=.\




#       textmode           optional
#
#       textmode will suggest a video mode for doslynx to use instead of the
#               normal 80x25 screen size.
#       The default textmode is LOW.
#       Possible values are LOW (80x25) and HIGH (80x50 or 80x43).
textmode=LOW




#       printer         optional
#
#       printer tells DosLynx what DOS device that your printer is connected
#               to.
#       NUL is the default value, which means you have no printer.
#       Values can be any valid DOS device such as LPT1, PRN, AUX, COM4, etc.
printer=NUL




#       loaded          optional
#
#       loaded will tell DosLynx how many accessed files to keep in memory.
#               Once this limit is reached, DosLynx will begin releasing the
#               oldest unviewed file.
#       The default is 10.
loaded=10




#       home            optional
#
#       home specifies a URL that will be loaded by DosLynx on startup.
#       If you do not want home to be loaded on startup, use the loadhome
#               keyword or do not specify home at all.
home=ftp://ftp2.cc.ukans.edu/pub/WWW/DosLynx/readme.htm




#       loadhome        optional
#
#       loadhome tells DosLynx wether or not to load the URL specified by
#               the home keyword on startup.
#       The default value for loadhome is ON.
#       Possible values are OFF and ON.
loadhome=ON




#       graphicsmode    optional
#
#       graphicsmode informs DosLynx what video mode will be used to display
#               images.  DosLynx will only use the graphicsmode when ready
#               to display the image.
#       You can use a graphicsmode below your actual video capability.
#       You should limit your graphicsmode choice by the capability of your
#               video adapter.
#       The default graphicsmode is NONE, in which case DosLynx will not
#               attempt to display the image.  You will have to use an
#               external viewer after exiting DosLynx to view the image.
#       Possible values are:
#               NONE            No compatible video adapter or turn off
#                                       internal DosLynx image viewing.
#               720x348x2       Hercules video adapter.
#               640x200x2       CGA video adapter.
#               640x350x16      EGA video adapter.
#               640x480x16      VGA video adapter.
graphicsmode=NONE




#       hotlistfile     optional
#
#       hotlistfile specifies an HTML file where you can store URLs for quick
#               access.
#       hotlistfile can be any valid DOS path with the following exception:
#               The file extension (suffix) should be .HTM
#       hotlistfile is like any other HTML file and you may, of course, edit
#               the file outside of DosLynx to your specifications.
#       If you do not specify a hotlistfile, there is no default and the
#               option to access this file is not available while running
#               DosLynx.
#       If you will be running DosLynx in a directory other than the one
#               you installed DosLynx in, be sure and specify the full DOS
#               path to your hotlist file.
#hotlistfile=c:\doslynx\hotlist.htm
hotlistfile=HOTLIST.HTM




#       errorhtml       mandatory
#
#       errorhtml is an HTML file that will be loaded when DosLynx is unable
#               to access any URL.
#       The file specified must have the .HTM extension (suffix) and must
#               reside in the configuration file directory specified with
#               the /p command line option or in the working directory from
#               which you executed the DosLynx command.
#       errorhtml is like any other HTML file and you may, of course, edit
#               the file outside of DosLynx to your specifications.
#       If errorhtml is not spicified, the default file of ERROR.HTM is used.
#       If the errorhtml file does not exist, DosLynx will hang.
errorhtml=ERROR.HTM




#       mailaddr        optional
#
#       mailaddr specifies your internet mail address where you can
#               receive mail.
#       mailaddr is included for your convenience only and is not required
#               in any way.
#       DosLynx uses mailaddr as the default reply address when you send
#               mail to the developer of DosLynx.
#       There is no default value.
#       Possible values can be any valid internet mail address.
#mailaddr=noone@I.do.not.know




#       networked       optional
#
#       networked allows you to turn off network access in the case that you
#               are not connected to the Internet, or in the case that you
#               only want to use DosLynx for local file access.
#       Users not connected to the Internet should turn this option off to
#               avoid problems that may arise.
#       If you are connected to the Internet through SLIP, PPP, etc. then
#               you should set networked to YES.
#       The default value is YES.
#       Possible values are YES and NO.
networked=YES




#       nntphost        optional
#
#       nntphost is used to specify the default host machine that DosLynx
#               will read news from.
#       It will be to your advantage to specify a local nntp host.
#       The default value is news with your domainslist (see the Waterloo
#               TCP keyword in this configuration file) appended on the end.
#       Possible values are any valid NNTP internet host.
nntphost=news




#       http_proxy      optional
#
#       http_proxy tells DosLynx to re-route its request for a http URL to
#               a proxy server rather than going directly to the specified
#               host.
#       This allows users behind a firewall access to the rest of the
#               Internet.
#       Specify a proxy entry just like you would a http URL.  Be sure to
#               specify the correct port number in the proxy URL.
#               For example
#                       http_proxy=http://example.proxy.host:80/
#       There is no default value.  If http_proxy is not specified, then no
#               proxy server will be used.
#http_proxy=




#       gopher_proxy    optional
#
#       gopher_proxy tells DosLynx to re-route its request for a gopher URL to
#               a proxy server rather than going directly to the specified
#               host.
#       This allows users behind a firewall access to the rest of the
#               Internet.
#       Specify a proxy entry just like you would a http URL.  Be sure to
#               specify the correct port number in the proxy URL.
#               For example
#                       gopher_proxy=http://example.proxy.host:80/
#       There is no default value.  If gopher_proxy is not specified, then no
#               proxy server will be used.
#gopher_proxy=




#       ftp_proxy       optional
#
#       ftp_proxy tells DosLynx to re-route its request for a ftp URL to
#               a proxy server rather than going directly to the specified
#               host.
#       This allows users behind a firewall access to the rest of the
#               Internet.
#       Specify a proxy entry just like you would a http URL.  Be sure to
#               specify the correct port number in the proxy URL.
#               For example
#                       ftp_proxy=http://example.proxy.host:80/
#       There is no default value.  If ftp_proxy is not specified, then no
#               proxy server will be used.
#ftp_proxy=




#       wais_proxy      optional
#
#       wais_proxy tells DosLynx to re-route its request for a wais URL to
#               a proxy server rather than going directly to the specified
#               host.
#       This allows users behind a firewall access to the rest of the
#               Internet.
#       Specify a proxy entry just like you would a http URL.  Be sure to
#               specify the correct port number in the proxy URL.
#               For example
#                       wais_proxy=http://example.proxy.host:80/
#       There is no default value.  If wais_proxy is not specified, then no
#               proxy server will be used.
#wais_proxy=




#       ems             optional
#
#       ems allows DosLynx to utilize ems memory for swapping overlay modules
#               in and out of memory rather than swapping back and forth to
#               disk.
#       If you have ems memory, it will be to your advantage to enable this
#               keyword since it will increase the speed of DosLynx.
#       The default value is NO.
#       Possible values are YES and NO.
ems=NO




#       emspages        optional, advanced
#
#       emspages tells DosLynx the maximum number of ems pages to use when
#               the ems keyword has a value of YES.
#       This allows you to limit the amount of ems memory DosLynx will
#               attempt to utilize.
#       An ems page is 16k in size.
#       The default value is 0, in which case DosLynx will use as many ems
#               pages as it needs.
#       Possible values are unsigned short integers in base 10 or base 16
#               format.
emspages=0x0




#       xms             optional
#
#       xms allows DosLynx to utilize xms memory for swapping overlay modules
#               in and out of memory rather than swapping back and forth to
#               disk.
#       XMS memory is a computer's addressable memory above 1 megabyte.
#       If you have xms memory, it will be to your advantage to enable this
#               keyword.
#       In the event that you have specified both the ems and xms keywords as
#               yes, DosLynx will attempt to use them both.
#       If you have ems memory, it will be to your advantage to enable this
#               keyword since it will increase the speed of DosLynx.
#       The default value is NO.
#       Possible values are YES and NO.
xms=NO




#       xmslength       optional, advanced
#
#       xmslength tells DosLynx the maximum number of extended memory bytes
#               to use when the xms keyword has a value of YES.
#       This allows you to limit the amount of xms memory DosLynx will
#               attempt to utilize.
#       The default value is 0, in which case DosLynx will use as much
#               extended memory as it needs.
#       Possible values are unsigned long integers in base 10 or base 16
#               format.
xmslength=0x0




#       xmsstart        optional, advanced
#
#       xmsstart tells DosLynx the starting address that it can begin to
#               utilize extended memory.
#       This allows you to tell DosLynx not to use specific portions of xms
#               memory in case another program is already using the memory.
#       The default value is 0, in which case DosLynx will attempt to
#               determine a safe starting address for xms memory usage.
#               It is not safe to assume that DosLynx can figure this value
#               on its own.  When possible, always specify xmsstart.
#       Possible values are unsigned long integers in base 10 or base 16
#               format.
xmsstart=0x0
